<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
            rel="stylesheet"
            href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
            integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
            crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Password</title>
    <style>
        .password-form {
            display: flex;
            flex-direction: column;
        }
        .input-wrapper {
            position: relative;
            width: max-content;
        }

        .input-wrapper input {
            min-width: 120px;
            padding: 10px;
            margin-bottom: 24px;
        }

        .input-wrapper i {
            position: absolute;
            right: 10px;
            top: 12px;
            color: grey;
        }
        .btn{
            width: 150px;
        }
        #warning {
            color: red;

        }
    </style>
</head>
<body>
<form class="password-form" action="#">
    <label class="input-wrapper">
        Enter password
        <input class="input-field" id="password-1st" type="password"/>
        <i class="fas fa-eye icon-password"></i>
    </label>
    <label class="input-wrapper">
        Confirm password
        <input class="input-field" id="password-2nd" type="password"/>
        <i class="fas fa-eye icon-password"></i>
    </label>
    <span id="warning" style="display: none">Password mismatch. Please try again.</span>
    <button id="check" type="submit" class="btn">Submit</button>
</form>
<script src="script.js"></script>
</body>
</html>